org.apache.commons.math3.stat.ranking

## Enum TiesStrategy

- java.lang.Object
- - java.lang.Enum<TiesStrategy>
  - - org.apache.commons.math3.stat.ranking.TiesStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TiesStrategy>

    public enum TiesStrategy
    extends java.lang.Enum<TiesStrategy>

Strategies for handling tied values in rank transformations.

- SEQUENTIAL - Ties are assigned ranks in order of occurrence in the original array, for example (1,3,4,3) is ranked as (1,2,4,3)
- MINIMUM - Tied values are assigned the minimum applicable rank, or the rank of the first occurrence. For example, (1,3,4,3) is ranked as (1,2,4,2)
- MAXIMUM - Tied values are assigned the maximum applicable rank, or the rank of the last occurrence. For example, (1,3,4,3) is ranked as (1,3,4,3)
- AVERAGE - Tied values are assigned the average of the applicable ranks. For example, (1,3,4,3) is ranked as (1,2.5,4,2.5)
- RANDOM - Tied values are assigned a random integer rank from among the applicable values. The assigned rank will always be an integer, (inclusively) between the values returned by the MINIMUM and MAXIMUM strategies.

Since:
  2.0
Version:
  $Id: TiesStrategy.java 1416643 2012-12-03 19:37:14Z tn $

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVERAGE` Ties get the average of applicable ranks
`MAXIMUM` Ties get the maximum applicable rank
`MINIMUM` Ties get the minimum applicable rank
`RANDOM` Ties get a random integral value from among applicable ranks
`SEQUENTIAL` Ties assigned sequential ranks in order of occurrence

### Method Summary

Methods
`static TiesStrategy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TiesStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SEQUENTIAL

    public static final TiesStrategy SEQUENTIAL

Ties assigned sequential ranks in order of occurrence

#### MINIMUM

    public static final TiesStrategy MINIMUM

Ties get the minimum applicable rank

#### MAXIMUM

    public static final TiesStrategy MAXIMUM

Ties get the maximum applicable rank

#### AVERAGE

    public static final TiesStrategy AVERAGE

Ties get the average of applicable ranks

#### RANDOM

    public static final TiesStrategy RANDOM

Ties get a random integral value from among applicable ranks

### Method Detail

#### values

    public static TiesStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TiesStrategy c : TiesStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TiesStrategy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null